package org.diagbot.graphWeb.work;

import com.alibaba.fastjson.JSONObject;
import org.diagbot.graph.javabean.BackLisPacs;
import org.diagbot.graph.jdbc.DriverManager;
import org.diagbot.graph.jdbc.Neo4jAPI;
import org.diagbot.graphWeb.dao.BackResponse;
import org.diagbot.pub.api.Response;
import org.neo4j.driver.v1.Driver;
import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;

public class BackPush {
    private Driver driver=null;
    private Neo4jAPI n4api=null;
    public Response<BackResponse> calculateBackPush(HttpServletRequest request, JSONObject searchData) throws Exception {
        List<String> diseaseList = new ArrayList<>();
        String diseaseName = searchData.getString("name");
        String[] diseaseSplits = diseaseName.split(",");
        for (String disease:diseaseSplits) {
            diseaseList.add("\""+disease+"\"");
        }
        BackResponse responseData = new BackResponse();
        Response<BackResponse> objectResponse = new Response<>();
        List<BackLisPacs> RSet = null;
        if (driver == null) {
            driver = DriverManager.newDrive();
        }
        if (driver != null && driver.session() != null) {
            n4api = new Neo4jAPI(driver);
            RSet = n4api.getLisPacs(diseaseList);
            responseData.setResult(RSet);
        }
        objectResponse.setData(responseData);
        return objectResponse;
    }
}
